Bug 1561408 - Unhandled exception in validator "Compare switch port VLANs to VLANs in nic config"
Summary: Unhandled exception in validator "Compare switch port VLANs to VLANs in nic c...
Keywords:
Status: CLOSED DUPLICATE of bug 1554248
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Gaël Chamoulaud
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 09:35 UTC by Udi
Modified: 2020-05-27 09:24 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-validations-9.3.1-0.20190119052820.f400181.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-27 09:24:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 631277 'None' MERGED Fix introspection data lookup 2020-05-27 08:48:42 UTC
OpenStack gerrit 634382 'None' MERGED Fix introspection data lookup 2020-05-27 08:48:43 UTC

Description Udi 2018-03-28 09:35:58 UTC
Description of problem:
If you use the default plan, without providing any custom nic-configs, and run the validator "Compare switch port VLANs to VLANs in nic config" - it results with an exception:

Message: An unhandled exception occurred while running the lookup plugin 'introspection_data'. Error was a <class 'swiftclient.exceptions.ClientException'>, original message: Container GET failed: https://puma01.scl.lab.tlv.redhat.com:13808/v1/AUTH_9f30713938e146db9caf5bf5b965be14/ironic-inspector?format=json 404 Not Found  [first 60 chars of response] <html><h1>Not Found</h1><p>The resource could not be found.<


Version-Release number of selected component (if applicable):
openstack-tripleo-validations-8.3.1-0.20180304031640.d5546cd.el7ost.noarch
openstack-tripleo-ui-8.3.1-0.20180303225336.57e3d96.el7ost.noarch
openstack-tripleo-heat-templates-8.0.0-0.20180304031148.el7ost.noarch


How reproducible:
100%


Steps to Reproduce:
1. Run the validator "Compare switch port VLANs to VLANs in nic config" on the default plan

Comment 1 Udi 2018-03-28 13:19:06 UTC
Very similar to this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1554248

Comment 6 Mikey Ariel 2019-02-20 12:44:24 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 7 Andrey Fiodorov 2019-02-21 14:08:49 UTC
Still fails...


Task 'Check that switch vlans are present if used in nic-config files' failed:
Host: undercloud
Message: An unhandled exception occurred while running the lookup plugin 'introspection_data'. Error was a <type 'exceptions.TypeError'>, original message: get_auth_session() takes at least 3 arguments (1 given)

Failure! The validation failed for all hosts:
* undercloud


[stack@undercloud-0 ~]$ rpm -qa openstack-tripleo-validations
openstack-tripleo-validations-9.3.1-0.20190119052820.f400181.el7ost.noarch

Comment 12 Shelley Dunne 2019-09-19 18:29:46 UTC
Re-setting Target Milestone z1 to --- to begin the 15z1 Maintenance Release.


Note You need to log in before you can comment on or make changes to this bug.